{
	"name": "form/nc/nc-stock/stock-value/query/stock-event-by-product-batch.json",
	"table": [
		{
			"record_type": ["product"],
			"table": "stock"
		}
	],
	"parameter": {
		"show_sql": false,
		"big_query_warning": false,
		"product_arr": [],
		"before_date": "",
		"after_date": ""
	},
	"query": [["st.event_time", "<", "before_date"], "and", ["st.event_time", ">=", "after_date"], "and", ["st.product_id", "in", "product_arr"]],
	"field": [
		"st.stock_id",
		"st.modify_id",
		"st.record_id",
		"st.event_type",
		"st.product_id",
		"st.event_time",
		"st.amount",
		"st.currency_id",
		"st.json_data.time",
		"st.json_data.stock_balance",
		"st.json_data.purchase_price__unit",
		"st.json_data.purchase_price_total",
		"st.json_data.cost_price__unit",
		"st.json_data.foreign_purchase_price",
		"st.json_data.order_row",
		"st.json_data.orderer_id"
	]
}
